package cn.qg.qaplatform.service.stools;


import cn.qg.qaplatform.entity.stools.MsgTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface MsgService extends IService<MsgTemplate> {

    /**
     * 发送push
     */
    boolean sendPush(String namespace, String phoneNo, String contentId, List<String> contentArgs);

    /**
     * 发送站内信
     */
    boolean sendStationLetter(String namespace, String phoneNo, String contentId, List<String> contentArgs);

    /**
     * 发送行业短信
     */
    boolean sendMsgQuick(String namespace, String phoneNo, String contentId, List<String> contentArgs);

    /**
     * 发送营销短信
     */
    boolean sendMsgMarket(String namespace, String phoneNo, String contentId, List<String> contentArgs);

}
